<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich">
    <body>
        <ui:decorate template="/templates/extraction/template.xhtml">
            <ui:define name="title">#{extractionFluxPanel.PROPERTY_MSG_TITLE}
            <f:loadBundle basename="org.inra.ecoinfo.pro.extraction.jsf.extraction_fluxchambre_jsf" var="extractionFluxPanel"/>
            </ui:define>
            
            <ui:param name="titleExtraction"
                      value="#{extractionFluxPanel.MSG_TITLE_EXTRACTION_FLUXCHAMBRE}"></ui:param>
            <ui:param name="introMain"
                      value="#{extractionFluxPanel.MSG_INTRO_MAIN}"></ui:param>
            <ui:param name="uiBean" value="#{uiBeanFluxChambre}" />
            <ui:param name="library" value="css/fluxchambre" />
            <ui:define name="togglePanelItems">
                <rich:togglePanelItem name="#{extractionFluxPanel.MSG_CHOICE_STEP1}">
                    <ui:include
                        src="/templates/extraction/panels/fluxchambre/dispositifChoiceStepFluxChambre.xhtml">
                        <ui:param name="css" value="dispositifChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="1" />
                    </ui:include>
                </rich:togglePanelItem>
               <rich:togglePanelItem name="#{extractionFluxPanel.MSG_CHOICE_STEP2}">
                    <ui:include
                        src="/templates/extraction/panels/fluxchambre/variableChoiceStepFluxChambre.xhtml">
                        <ui:param name="css" value="variablesChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="2" />
                    </ui:include>
                </rich:togglePanelItem>

                   <rich:togglePanelItem
                    name="#{extractionFluxPanel.MSG_CHOICE_STEP3}">
                    <ui:include src="/templates/extraction/panels/fluxchambre/datesStepFluxChambre.xhtml">
                        <ui:param name="css" value="jsf-datesChoiceStep-styles.css" />
                        <ui:param name="panelNumber" value="3" />
                    </ui:include>
                </rich:togglePanelItem>

            </ui:define>
            <ui:define name="accordionItems">
                <rich:accordionItem>
                    <ui:include
                        src="/templates/extraction/accordionItems/fluxchambre/dispositifAccordionItemFluxChambre.xhtml">
                        <ui:param name="titleForPlateformesAccordionItem"
                                  value="#{extractionFluxPanel.MSG_ACCORDIONITEM_STEP1}" />
                    </ui:include>
                </rich:accordionItem>
               <rich:accordionItem
                    disabled="#{not uiBean.parametersRequest.dispositifStepIsValid}">
                    <ui:include
                        src="/templates/extraction/accordionItems/fluxchambre/variableAccordionItemFluxChambre.xhtml">
                        <ui:param name="titleForVariablesAccordionItem"
                                  value="#{extractionFluxPanel.MSG_ACCORDIONITEM_STEP2}" />
                    </ui:include>
                </rich:accordionItem>

                 <rich:accordionItem
                    disabled="#{not uiBean.parametersRequest.variableStepIsValid}">
                    <ui:include
                        src="/templates/extraction/accordionItems/fluxchambre/datesAccordionItemFluxChambre.xhtml">
                        <ui:param name="titleForDatesAccordionItem" 
                                  value="#{extractionFluxPanel.MSG_ACCORDIONITEM_STEP3}" />
                    </ui:include>
                </rich:accordionItem>
            </ui:define>
        </ui:decorate>
    </body>
</html>